package com.fr.plugin.ymrt.sms;

import com.fr.main.workbook.ResultWorkBook;
import com.fr.plugin.ymrt.sms.bean.OutputSmsAction;
import com.fr.schedule.base.provider.impl.AbstractOutputFormulaProvider;
import com.fr.schedule.extension.report.util.ScheduleParameterUtils;

import java.util.List;
import java.util.Map;

/**
 * @Author fr.open
 * @Date 2020/9/15
 * @Description
 **/
public class SmsFormulaProvider extends AbstractOutputFormulaProvider<OutputSmsAction, ResultWorkBook> {
    @Override
    public void dealWithFormulaParam(OutputSmsAction action, ResultWorkBook result, List<Map<String, Object>> mapList) throws Exception {
        action.setContent(ScheduleParameterUtils.dealWithParameter(action.getContent(), mapList.get(0), result));
    }

    @Override
    public String getActionClassName() {
        return OutputSmsAction.class.getName();
    }
}
