package com.fr.plugin.ymrt.sms.entity;

import com.fr.plugin.ymrt.sms.bean.OutputSmsAction;
import com.fr.schedule.base.bean.BaseBean;
import com.fr.schedule.base.entity.AbstractScheduleEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

/**
 * @Author fr.open
 * @Date 2020/9/15
 * @Description
 **/
@Entity
@Table(name = "fine_output_schedule_sms") //表名
@TableAssociation(associated = true)
public class SmsEntity extends AbstractScheduleEntity {

    @Column(name = "content",length = 1000)
    private String content;

    public SmsEntity() {
    }

    @Override
    public BaseBean createBean() {
        return new OutputSmsAction().id(this.getId()).content(this.content);
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public SmsEntity content(String content) {
        setContent(content);
        return this;
    }

    public SmsEntity id(String id) {
        setId(id);
        return this;
    }
}
