!(function () {
    /*var Item = BI.inherit(BI.Widget, {

        props: {
            text: "",
            textWidth: 115,
            textAlign: "left",
            textCls: "",
            validationChecker: BI.emptyFn,
            value: "",
            allowBlank: true,
            inputType: "text",
            editorWidth: 300,
            errorTop: 0,
            el: {},
            bubbleError: true,
        },

        render: function () {
            var self = this, o = this.options;

            return {
                type: "bi.vertical_adapt",
                height: 24,
                items: [{
                    el: {
                        type: "bi.label",
                        cls: o.textCls,
                        text: o.text,
                        title: o.text,
                        textHeight: 24,
                        width: o.textWidth,
                        textAlign: o.textAlign,
                    },
                    rgap: o.textRGap,
                }, {
                    type: "dec.error_label",
                    width: o.editorWidth,
                    errorTop: o.errorTop,
                    el: BI.extend({
                        type: "bi.textarea_editor",
                        $value: "dec-label-textarea-editor-item-" + (o.$value ? o.$value : o.text),
                        cls: "bi-border bi-border-radius",
                        watermark: o.watermark,
                        inputType: o.inputType,
                        width: 300,
                        height: 200,
                        value: o.value,
                        allowBlank: o.allowBlank,
                        validationChecker: o.validationChecker,
                        errorText: o.bubbleError ? o.errorText : "",
                        ref: function (_ref) {
                            self.editor = _ref;
                        },
                        listeners: [{
                            eventName: BI.TextAreaEditor.EVENT_FOCUS,
                            action: function () {
                                self.hideError();
                                self.fireEvent(BI.TextAreaEditor.EVENT_FOCUS, arguments);
                            },
                        }, {
                            eventName: BI.TextAreaEditor.EVENT_CHANGE,
                            action: function () {
                                self.fireEvent(BI.TextAreaEditor.EVENT_CHANGE, arguments);
                                self.hideError();
                            },
                        }, {
                            eventName: BI.TextAreaEditor.EVENT_CONFIRM,
                            action: function () {
                                self.fireEvent(BI.TextAreaEditor.EVENT_CONFIRM, arguments);
                            },
                        }, {
                            eventName: BI.TextAreaEditor.EVENT_BLUR,
                            action: function () {
                                self.fireEvent(BI.TextAreaEditor.EVENT_BLUR, arguments);
                            },
                        }, {
                            eventName: BI.TextAreaEditor.EVENT_ERROR,
                            action: function (v) {
                                if (!o.bubbleError && BI.isNotNull(o.errorText) && self.editor.isEditing()) {
                                    self.showError(BI.isFunction(o.errorText) ? o.errorText(v) : o.errorText);
                                }
                            },
                        }, {
                            eventName: BI.TextAreaEditor.EVENT_VALID,
                            action: function () {
                                self.hideError();
                            },
                        }],
                    }, o.el),
                    ref: function (_ref) {
                        self.editorError = _ref;
                    },
                }],
            };
        },

        getValue: function () {
            return this.editor.getValue();
        },

        setValue: function (v) {
            this.editor.setValue(v);
            this.hideError();
        },

        setWaterMark: function (v) {
            this.editor.setWaterMark(v);
        },

        showError: function (text) {
            this.editorError.showError(text);
        },

        focus: function () {
            this.editor.focus();
        },

        hideError: function () {
            this.editorError.hideError();
        },
    });
    BI.shortcut("dec.label.textarea.editor.item", Item);*/

    var Plugin = BI.inherit(BI.Widget, {
        props: {
            baseCls: "",
            value: {
                content: null,
            }
        },
        render: function () {
            var t = this,
                e = this.options.value[0]==undefined?{content: null}: this.options.value[0];
            return {
                type: "bi.flex_vertical",
                tgap: 15,
                items: [{
                    type: "dec.label.editor.item",
                    errorTop: 16,
                    textCls: "dec-font-weight-bold",
                    text: "正文",
                    textWidth: 115,
                    editorWidth: 300,
                    value: e.content,
                    ref: function(e) {
                        t.content = e
                    }
                }]
            };
        },
        /**
         *
         *
         * @returns {boolean}
         */
        validation: function () {
            var e = !0,
                t = this.isVisible();
            return BI.isEmpty(this.content.getValue()) && (t && this.content.showError(BI.i18nText("Dec-Error_Null")), e = !1),
                e
        },
        /**
         *
         * outputActionList
         * @returns {{}}
         */
        getValue: function() {
            var _self= this;
            return {OutputSmsAction: BI.extend(_self.value,{
                    "@class": "com.fr.plugin.ymrt.sms.bean.OutputSmsAction",
                    actionName: "com.fr.plugin.ymrt.sms.bean.OutputSmsAction",
                    content: _self.content.getValue(),
                })}
        },
    });
    BI.shortcut("dec.schedule.task.file.handling.plugin", Plugin);

    BI.config("dec.provider.schedule", function (provider) {
        provider.registerHandingWay({
            text: "第三方短信通知",
            value: "com.fr.plugin.ymrt.sms.bean.OutputSmsAction", // actionName
            cardType: "dec.schedule.task.file.handling.plugin",
            actions: [] // action
        }, [DecCst.Schedule.TaskType.DEFAULT, DecCst.Schedule.TaskType.REPORT, DecCst.Schedule.TaskType.BI]);
    });
}());
