package com.fr.plugin.ymrt.sms;

import com.fr.plugin.ymrt.sms.bean.OutputSmsAction;
import com.fr.schedule.extension.report.job.output.formula.extract.impl.AbstractOutputFormulaExtractorProvider;
import com.fr.schedule.extension.report.util.ScheduleParameterUtils;

import java.util.Map;
import java.util.regex.Pattern;

/**
 * @Author fr.open
 * @Date 2020/9/15
 * @Description
 **/
public class SmsOutputFormulaExtractor extends AbstractOutputFormulaExtractorProvider<OutputSmsAction> {
    @Override
    public String getActionClassName() {
        return OutputSmsAction.class.getName();
    }

    @Override
    public void addFormulaToMap(OutputSmsAction action, Pattern pattern, Map map) {
        ScheduleParameterUtils.addFormulaToMap(action.getContent(), pattern, map);
        ScheduleParameterUtils.addFormulaToMap(action.getContent(), pattern, map);
    }

}
